Package: groovy.org.codenarc.rule.basic

## [Groovy] Class ComparisonOfTwoConstantsRule

- groovy.org.codenarc.rule.basic.ComparisonOfTwoConstantsRule

- CodeNarc Rule. Checks for using a comparison operator or equals() or compareTo() to compare two constants to each other or two literal that contain only constant values, e.g.: 23 == 67, [3,2] != [1,2] Boolean.FALSE != false 23 < 88, 0.17 <= 0.99, "abc" > "ddd", [a] >= [x], [a:1] <=> [a:99.87] [1,2].equals([17,true]) [a:1].compareTo([a:3])

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority